Subject: [Teas] Status update on draft-ietf-teas-sf-aware-topo-model

From: Xufeng Liu <[email-masked]>
Date: Sat, 23 Mar 2019 08:02:15 -0400

Current Status:

  *  The updated revision -03 was posted on Mar 11, 2019:

     > Editorial fixes.

Open Issues:

  *   None.

Next Steps:

  *  Update the document to align with the latest versions of
     referenced documents, including draft-ietf-teas-yang-te-topo,
     RFC8340, RFC8342, RFC8345, and RFC8459.
  *  Update the section of Security Considerations according to latest
     guidelines.
  *  Get further reviews.
  *  YANG doctor's review.
  *  Working Group Last Call after completing above.

Thanks,
- Xufeng

---

From: tom petch <[email-masked]>
Date: Tue, 26 Mar 2019 10:05:58 +0000

Xufeng

Some quirks.

Introduction/Abstract do not mention support or lack thereof  for NMDA
(which the IESG have been calling for).

Introduction does not have a reference for YANG leaving the question of
version number uncertain

Terminology fails to reference RFC8174

Expand on first use, perhaps in Terminology, is helpful - TOSCA, SF2LTP,
SF2SF, SF2TTP, CSO

yang-version 1 is rather limiting

YANG import statements lack references (which YANG 1.1 allows)

/       reference "TBD";/
       reference "RFC XXXX - SF Aware TE Topology YANG Model"; /

   module ietf-cso-dc
no version
no copyright
no reference to the I-D
no description clauses
no reference clauses
somewhat short of ready IMHO- I think that this needs a lot of work!

IANA Considerations
   RFC Ed.: In this section, replace all occurrences of 'XXXX' with the
   actual RFC number (and remove this note).
I suggest that this apply throughout the I-D and that the Note is placed
at the start, before the Introduction (the RFC Editor are happy with
just the one note)

RFC6020 is a better reference for the IANA Considerations

   [I-D.ietf-netmod-revised-datastores]
RFC8342

   [I-D.ietf-netmod-yang-tree-diagrams]
RFC8340

   [I-D.ietf-i2rs-yang-network-topo]
RFC8345

     import ietf-actn-vn {
does not appear in section 1.3

Tom Petch

----- Original Message -----
From: "Xufeng Liu" <[email-masked]>
To: "TEAS WG" <[email-masked]>
Sent: Saturday, March 23, 2019 12:02 PM
Subject: [Teas] Status update on draft-ietf-teas-sf-aware-topo-model

>   *  Working Group Last Call after completing above.

------------------------------------------------------------------------
--------

> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas
>

---

From: Xufeng Liu <[email-masked]>
Date: Tue, 26 Mar 2019 12:00:00 -0400

Hi Tom,

Thanks for pointing these out.
We will fix them in the next revision.
- Xufeng